.post {
  margin-top: 8vmin;
}

.post-top {
  margin-bottom: 25px;

  &__container {
    max-width: 750px;
    padding: 0 20px;
  }

  &__title {
    font-size: 42px;
    line-height: 1.3;
    margin-bottom: 25px;
  }

  &__text {
    font-size: 20px;
    font-weight: 400;
    strong {
      color: var(--main);
    }
  }

  &__footer {
    margin-top: 30px;
    display: flex;
    align-items: center;
    gap: 10px;
  }

  &__author-img {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border: 2px solid var(--main-02);
    border-radius: 50%;
  }

  &__info {
    line-height: 1.4;
  }

  &__author-name {
    font-size: 16px;
    color: var(--main);
  }

  &__date {
    font-size: 14px;
    font-weight: 400;
  }

  &__image-box {
    margin-top: 30px;
    border-radius: 10px;
  
  }

  &__image {
    width: 100%;
    height: 100%;
    max-height: 470px;
    object-fit: cover;
  }
}
.post-main {
  margin-bottom: 8vmin;

  &__container {
    max-width: 750px;
    padding: 0 20px;
  }

  p {
    font-size: 20px;
    font-weight: 400;
  }

  p:not(:last-child) {
    margin-bottom: 25px;
  }

  a {
    color: var(--accent);
    text-decoration: underline;
  }

  strong {
    color: var(--main);
  }

  &__elem {
    margin: 25px 0;
    display: flex;
    justify-content: center;
    border-radius: 10px;
    overflow: hidden;
    isolation: isolate;
  }
}

.post-subscribe {
  padding: 8vmin 20px 9vmin;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: var(--bg-semi-blog);

  &__title {
    margin-bottom: 30px;
    font-size: 32px;
    color: var(--white);
  }

  &__form {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 5px;
    padding: 2px;
    width: 100%;
    max-width: 500px;
    height: 55px;
    background-color: var(--white);
    border-radius: 16px;
    border: 3px solid transparent;
  }

  &__input {
    padding: 0 10px;
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    border-radius: 10px;
  }

  &__button {
    background-color: var(--bg-semi-blog);
    color: var(--white);

    &:hover {
      background-color: var(--dark);
    }
  }
}

.post-more {
  &__container {
    max-width: 1240px;
    padding: 0 20px;
  }

  &__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 8vmin 0;
  }

  &__title{
    font-size: 32px;
    margin-bottom: 30px;
  }

  &__body {
    display: grid;
    grid-gap: 3vmin;
    grid-template-columns: repeat(3, 1fr);
  }

  .post-card {
    &__title {
      font-size: 18px;
    }
  }
}
